#include<bits/stdc++.h>
#define ios ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)
#define dec(x, y) fixed << setprecision((y)) << (x)
#define xx first
#define yy second
#define srt(v) sort((v).begin(), (v).end())
#define srtr(v) sort((v).rbegin(), (v).rend())
#define pb push_back
#define popb pop_back
#define sz(a) (int)(a).size()
#define len(a) (int)(a).length()
#define mp make_pair

using namespace std;

typedef long long ll;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;

int n, k;
ll a[200002], pref[200002];
int main() {
    ios;
    cin >> n >> k;
    for(int i=1; i<=n; i++) cin >> a[i];
    if(k==n) {
        for(int i=1; i<=n; i++) {
            pref[i]=pref[i-1]+a[i];
        }
        ll maxi=-2000000000000LL;
        for(int i=1; i<=n-1; i++) {
            maxi=max(maxi, pref[i]-(pref[n]-pref[i]));
        }
        cout << maxi;
    }
    return 0;
}